# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Carriage',
            fields=[
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=3, serialize=False, verbose_name='code', primary_key=True)),
                ('name', models.CharField(max_length=50, verbose_name='name')),
                ('slug', models.SlugField(help_text='used for URLs, auto-generated from name if blank', verbose_name='slug')),
                ('description', models.TextField(verbose_name='description', blank=True)),
                ('creator', models.ForeignKey(related_name='carriage_carriage_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='carriage_carriage_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'ordering': ('ordering', 'name'),
                'verbose_name': 'carriage',
                'verbose_name_plural': 'carriages',
            },
        ),
        migrations.CreateModel(
            name='Delivery',
            fields=[
                ('date_create', models.DateTimeField(null=True, verbose_name='date create', blank=True)),
                ('date_last_modify', models.DateTimeField(null=True, verbose_name='date last modify', blank=True)),
                ('status', models.IntegerField(default=1, null=True, verbose_name='Status', choices=[(0, 'Inactive'), (1, 'Active')])),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('code', models.CharField(max_length=3, serialize=False, verbose_name='code', primary_key=True)),
                ('transport_by', models.CharField(max_length=3, verbose_name='transport by', choices=[(b'snd', 'sender'), (b'rcp', 'recipient'), (b'vec', 'vector')])),
                ('carriage', models.ForeignKey(verbose_name='carriage', to='carriage.Carriage')),
                ('creator', models.ForeignKey(related_name='carriage_delivery_creator', verbose_name='creator', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
                ('last_modifier', models.ForeignKey(related_name='carriage_delivery_last_modifier', verbose_name='last modifier', blank=True, to=settings.AUTH_USER_MODEL, null=True)),
            ],
            options={
                'ordering': ('ordering', 'transport_by', 'carriage'),
                'verbose_name': 'delivery',
                'verbose_name_plural': 'deliveries',
            },
        ),
    ]
